Subject: Re: SDP: comment from IESG

From: aCPPier <[email-masked]>
Date: Thu, 29 Jan 1998 13:49:12 -0500 (EST)

you no understand english???
you c wat is wat next
spam mode is one everyone.  capish?

On Tue, 27 Jan 1998, Michael F. Speer wrote:

> Mark:
> 
> I prefer option #1, but with the appropriate text where option #1 might
> break because of NAT translation.
> 
> Michael
> 
> > 
> > I just got the following comment back from a member of the IESG.  I
> > think the point is valid.  The IP address dates from when SDP was only
> > used for session announcements.  Today SDP is used in SIP and RTSP,
> > and so encountering a NAT is quite likely.  
> > 
> > Two questions:
> > 
> > 1. Would anyone object to the text being changed to permit either an
> > address or a fully qualified domain name?  
> > 
> > 2. Does anyone think that we should change the spec to permit only
> > fully qualified domain names?
> > 
> > Personally I prefer 1. Please let me know your opinion ASAP.
> > 
> > Cheers,
> > 	Mark
> > 
> > ------- Forwarded Message
> > 
> > Sorry, but I have to object to the IP address appearing in the o= field.
> > You can make a case that in the c= line that is the IP address taht will
> > appear in the packet, and people need it to find the session.  It is
> > somewhat NAT unfriendly, but I can live with it.
> > The o= line requires an IP address as a uniqueness generator.  It does not
> > permit a  DNS name.  It says it must be the "globally unique address where
> > the advertisement originates".  What if that does not exist?  I could
> > easily imagine organizing a session from behind a firewall, and then
> > arranging the for the right things to happen later.
> > 
> > No, I do not like firewalls/NATs.  But they are there, and stuff
> > should think about them.  Another way of thinking about this objection
> > is that protocols should not directly encode IP addresses unless they
> > need them.  The c= line needs it.  The o= line doesn't.
> > 
> > ------- End of Forwarded Message
> > 
> 
> 
> 

                             BOU GHALEB
                             -_-____-_-

E-mail: [email-masked]
WEB   : http://ultrix.ramapo.edu/~tfrangie

~     ~     ~     ~     ~     ~     ~     ~     ~     ~     ~     ~     ~     ~